---
lang: en
title: 'API docs: authorization.authorizationrequest'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorizationrequest.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationRequest](./authorization.authorizationrequest.md)

## AuthorizationRequest interface

Inspired by https://github.com/casbin/node-casbin

**Signature:**

```typescript
export interface AuthorizationRequest 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[action](./authorization.authorizationrequest.action.md)


</td><td>


</td><td>

string


</td><td>

The operation that the requestor performs on the resource.


</td></tr>
<tr><td>

[domain?](./authorization.authorizationrequest.domain.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ The domain (realm/tenant)


</td></tr>
<tr><td>

[object](./authorization.authorizationrequest.object.md)


</td><td>


</td><td>

string


</td><td>

The resource that is going to be accessed.


</td></tr>
<tr><td>

[subject](./authorization.authorizationrequest.subject.md)


</td><td>


</td><td>

string


</td><td>

The requestor that wants to access a resource.


</td></tr>
</tbody></table>


